/***************************************************************************
 * qsizecm.h: implementation of QSizeCm class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef QSIZECM_H
#define QSIZECM_H

#include <QSize>

#include "cm.h"

class QSizeCm {
public:
	QSizeCm();
	QSizeCm(const Cm& w, const Cm& h);
	
	virtual ~QSizeCm();
	
	virtual void setWidth(const Cm& w);
	virtual Cm width() const;
	virtual uint widthValueOfPixel() const;
	
	virtual void setHeight(const Cm& h);
	virtual Cm height() const;
	virtual uint heightValueOfPixel() const;
	
	virtual QSize toQSize() const;
	
	virtual bool operator==(const QSizeCm& sizeCm) const;
	virtual bool operator!=(const QSizeCm& sizeCm) const;
private:
	Cm mWidth;
	Cm mHeight;
};

#endif
